/****************************** 
 *
 * Name:        pipe_send.c
 * 
 * Description: Send a message along the IPC pipe
 * 
 * History:     20-APR-93 -Dave Walton- Original coding 
 * 
 ******************************/

#include <stdio.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/msg.h>

char full_buf[] = "Message buffer overflow.  Extra message text discarded.";

main(argc,argv)
int argc;
char **argv;
{
  register int c;
  int choice;
  register int i;
  int msgflg;
  struct msgbuf *msgp;
  struct msqid_ds buf;
  int msgsz;
  long msgtyp;
  int msqid;
  int maxmsgsz;
  int rtrn;
  char buffer[2000];

  if (argc <= 2)
  {
    printf("USAGE: pipe_send pipe_number text\n");
    exit(1);
  }

  if ((msqid = msgget(ftok("/tmp",'A'),0)) == -1)
  {
    perror("msgget failed");
    exit(1);
  }

  maxmsgsz = 256;
  msgp = (struct msgbuf *)malloc((unsigned)sizeof(struct msgbuf) -
    sizeof(msgp->mtext) + maxmsgsz);
  if (msgp == NULL)
  {
    printf ("Error allocating memory\n");
    exit(1);
  }

  msgp->mtype = (long) atoi(argv[1]);

  strcpy(buffer,argv[2]);
  for (i=3;i<argc;i++)
  {
    strcat(buffer," ");
    strcat(buffer,argv[i]);
  }
  if (strlen(buffer) > 255)
    buffer[256] = 0;

  strcpy(msgp->mtext,buffer);
  msgsz = strlen(buffer);
  msgflg = IPC_NOWAIT;
  rtrn = msgsnd(msqid,msgp,msgsz,msgflg);
  if (rtrn == -1)
    perror("msgsnd failed");
}
